Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158260 - rsync hangs when target disk is full
Summary: rsync hangs when target disk is full
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rsync
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-20 01:12 UTC by Jamie Zawinski
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-16 15:01:35 UTC


Attachments (Terms of Use)

Description Jamie Zawinski 2005-05-20 01:12:00 UTC
When running rsync through ssh to another host, it silently hangs if the target
disk fills up.

rsync-2.6.3-1 and
Linux 2.6.10-1.770_FC3 #1 Thu Feb 24 14:00:06 EST 2005 i686 athlon i386
on both machines.

Reproducible 90% of the time.  E.g., if the disk fills up while in the midst of
sending a large file, rsync hangs silently.  But, if the disk is already full
before sending a file (I think?), then you might get an error message like

    rsync: writefd_unbuffered failed to write 4 bytes: phase "unknown"
      [sender]: Broken pipe (32)
    rsync: write failed on "foo": No space left on device (28)
    rsync error: error in file IO (code 11) at receiver.c(305)
    rsync: connection unexpectedly closed (2256357 bytes received so far)
      [generator]
    rsync error: error in rsync protocol data stream (code 12) at io.c(359)
    unexpected tag 109
    rsync error: error in rsync protocol data stream (code 12) at io.c(689)

But not usually.

My arguments, for the record:

    --rsh ssh --recursive --links --perms --times --owner --group --sparse
    --hard-links --delete --force --verbose

Comment 1 Matthew Miller 2006-07-10 22:50:35 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Simo Sorce 2007-02-16 15:01:35 UTC
No activity, close it, reopen if present in newer releases.


Note You need to log in before you can comment on or make changes to this bug.